# Interface ConstructorDeclaration

All Superinterfaces:
  `Declaration, ExecutableDeclaration, MemberDeclaration`

public interface ConstructorDeclaration extends ExecutableDeclaration
Represents a constructor of a class or interface.

Since:
  1.5
Version:
  1.1 04/01/26
Author:
  Joe Darcy, Scott Seligman

## Method Summary

### Methods inherited from interface Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Methods inherited from interface ExecutableDeclaration

`getFormalTypeParameters, getParameters, getThrownTypes, isVarArgs`

### Methods inherited from interface MemberDeclaration

`getDeclaringType`